GDB (xrefs)

Public Attributes | List of all members
symbol_error Struct Reference

## Public Attributes
const struct symbol * | sym
char * | message

## Detailed Description

Definition at line 37 of file compile-c-symbols.c.

## Member Data Documentation

## ◆ message

char* symbol_error::message

Definition at line 46 of file compile-c-symbols.c.

Referenced by del_symbol_error(), error_symbol_once(), and insert_symbol_error().

## ◆ sym

const struct symbol* symbol_error::sym

Definition at line 41 of file compile-c-symbols.c.

Referenced by gdb.FrameDecorator.SymValueWrapper::__init__(), convert_one_symbol(), eq_symbol_error(), error_symbol_once(), hash_symbol_error(), insert_symbol_error(), gdb.FrameDecorator.SymValueWrapper::symbol(), and symbol_substitution_name().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/compile/compile-c-symbols.c